com.salesforce.hyperdb.grpc

## Class SqlType.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>
      - - com.salesforce.hyperdb.grpc.SqlType.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, SqlTypeOrBuilder, Cloneable

Enclosing class:
  SqlType

    public static final class SqlType.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>
    implements SqlTypeOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.SqlType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SqlType.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`SqlType` `build()`
`SqlType` `buildPartial()`
`SqlType.Builder` `clear()`
`SqlType.Builder` `clearEmpty()` `.google.protobuf.Empty empty = 2;`
`SqlType.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`SqlType.Builder` `clearMaxLength()` `uint32 max_length = 3;`
`SqlType.Builder` `clearModifier()`
`SqlType.Builder` `clearNumericModifier()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`SqlType.Builder` `clearTag()` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`SqlType.Builder` `clone()`
`SqlType` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`com.google.protobuf.Empty` `getEmpty()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.Empty.Builder` `getEmptyBuilder()` `.google.protobuf.Empty empty = 2;`
`com.google.protobuf.EmptyOrBuilder` `getEmptyOrBuilder()` `.google.protobuf.Empty empty = 2;`
`int` `getMaxLength()` `uint32 max_length = 3;`
`SqlType.ModifierCase` `getModifierCase()`
`SqlType.NumericModifier` `getNumericModifier()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.NumericModifier.Builder` `getNumericModifierBuilder()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.NumericModifierOrBuilder` `getNumericModifierOrBuilder()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.TypeTag` `getTag()` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`int` `getTagValue()` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`boolean` `hasEmpty()` `.google.protobuf.Empty empty = 2;`
`boolean` `hasMaxLength()` `uint32 max_length = 3;`
`boolean` `hasNumericModifier()` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`SqlType.Builder` `mergeEmpty(com.google.protobuf.Empty value)` `.google.protobuf.Empty empty = 2;`
`SqlType.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`SqlType.Builder` `mergeFrom(com.google.protobuf.Message other)`
`SqlType.Builder` `mergeFrom(SqlType other)`
`SqlType.Builder` `mergeNumericModifier(SqlType.NumericModifier value)` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`SqlType.Builder` `setEmpty(com.google.protobuf.Empty.Builder builderForValue)` `.google.protobuf.Empty empty = 2;`
`SqlType.Builder` `setEmpty(com.google.protobuf.Empty value)` `.google.protobuf.Empty empty = 2;`
`SqlType.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`SqlType.Builder` `setMaxLength(int value)` `uint32 max_length = 3;`
`SqlType.Builder` `setNumericModifier(SqlType.NumericModifier.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.Builder` `setNumericModifier(SqlType.NumericModifier value)` `.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`
`SqlType.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`SqlType.Builder` `setTag(SqlType.TypeTag value)` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`SqlType.Builder` `setTagValue(int value)` `.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`
`SqlType.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### clear

    public SqlType.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### getDefaultInstanceForType

    public SqlType getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public SqlType build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public SqlType buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public SqlType.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### setField

    public SqlType.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                    Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### clearField

    public SqlType.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### clearOneof

    public SqlType.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### setRepeatedField

    public SqlType.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                            int index,
                                            Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### addRepeatedField

    public SqlType.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                            Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### mergeFrom

    public SqlType.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<SqlType.Builder>`

#### mergeFrom

    public SqlType.Builder mergeFrom(SqlType other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### mergeFrom

    public SqlType.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                              throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<SqlType.Builder>`
Throws:
  `IOException`

#### getModifierCase

    public SqlType.ModifierCase getModifierCase()

Specified by:
  `getModifierCase` in interface `SqlTypeOrBuilder`

#### clearModifier

    public SqlType.Builder clearModifier()

#### getTagValue

    public int getTagValue()

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Specified by:
  `getTagValue` in interface `SqlTypeOrBuilder`
Returns:
  The enum numeric value on the wire for tag.

#### setTagValue

    public SqlType.Builder setTagValue(int value)

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Parameters:
  `value` - The enum numeric value on the wire for tag to set.
Returns:
  This builder for chaining.

#### getTag

    public SqlType.TypeTag getTag()

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Specified by:
  `getTag` in interface `SqlTypeOrBuilder`
Returns:
  The tag.

#### setTag

    public SqlType.Builder setTag(SqlType.TypeTag value)

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Parameters:
  `value` - The tag to set.
Returns:
  This builder for chaining.

#### clearTag

    public SqlType.Builder clearTag()

`.salesforce.hyperdb.grpc.v1.SqlType.TypeTag tag = 1;`

Returns:
  This builder for chaining.

#### hasEmpty

    public boolean hasEmpty()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `hasEmpty` in interface `SqlTypeOrBuilder`
Returns:
  Whether the empty field is set.

#### getEmpty

    public com.google.protobuf.Empty getEmpty()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `getEmpty` in interface `SqlTypeOrBuilder`
Returns:
  The empty.

#### setEmpty

    public SqlType.Builder setEmpty(com.google.protobuf.Empty value)

`.google.protobuf.Empty empty = 2;`

#### setEmpty

    public SqlType.Builder setEmpty(com.google.protobuf.Empty.Builder builderForValue)

`.google.protobuf.Empty empty = 2;`

#### mergeEmpty

    public SqlType.Builder mergeEmpty(com.google.protobuf.Empty value)

`.google.protobuf.Empty empty = 2;`

#### clearEmpty

    public SqlType.Builder clearEmpty()

`.google.protobuf.Empty empty = 2;`

#### getEmptyBuilder

    public com.google.protobuf.Empty.Builder getEmptyBuilder()

`.google.protobuf.Empty empty = 2;`

#### getEmptyOrBuilder

    public com.google.protobuf.EmptyOrBuilder getEmptyOrBuilder()

`.google.protobuf.Empty empty = 2;`

Specified by:
  `getEmptyOrBuilder` in interface `SqlTypeOrBuilder`

#### hasMaxLength

    public boolean hasMaxLength()

`uint32 max_length = 3;`

Specified by:
  `hasMaxLength` in interface `SqlTypeOrBuilder`
Returns:
  Whether the maxLength field is set.

#### getMaxLength

    public int getMaxLength()

`uint32 max_length = 3;`

Specified by:
  `getMaxLength` in interface `SqlTypeOrBuilder`
Returns:
  The maxLength.

#### setMaxLength

    public SqlType.Builder setMaxLength(int value)

`uint32 max_length = 3;`

Parameters:
  `value` - The maxLength to set.
Returns:
  This builder for chaining.

#### clearMaxLength

    public SqlType.Builder clearMaxLength()

`uint32 max_length = 3;`

Returns:
  This builder for chaining.

#### hasNumericModifier

    public boolean hasNumericModifier()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

Specified by:
  `hasNumericModifier` in interface `SqlTypeOrBuilder`
Returns:
  Whether the numericModifier field is set.

#### getNumericModifier

    public SqlType.NumericModifier getNumericModifier()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

Specified by:
  `getNumericModifier` in interface `SqlTypeOrBuilder`
Returns:
  The numericModifier.

#### setNumericModifier

    public SqlType.Builder setNumericModifier(SqlType.NumericModifier value)

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

#### setNumericModifier

    public SqlType.Builder setNumericModifier(SqlType.NumericModifier.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

#### mergeNumericModifier

    public SqlType.Builder mergeNumericModifier(SqlType.NumericModifier value)

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

#### clearNumericModifier

    public SqlType.Builder clearNumericModifier()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

#### getNumericModifierBuilder

    public SqlType.NumericModifier.Builder getNumericModifierBuilder()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

#### getNumericModifierOrBuilder

    public SqlType.NumericModifierOrBuilder getNumericModifierOrBuilder()

`.salesforce.hyperdb.grpc.v1.SqlType.NumericModifier numeric_modifier = 4;`

Specified by:
  `getNumericModifierOrBuilder` in interface `SqlTypeOrBuilder`

#### setUnknownFields

    public final SqlType.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`

#### mergeUnknownFields

    public final SqlType.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<SqlType.Builder>`